-------------------
-- Drought Arena --
-------------------
--Survive Longer = Less Ammo = Killing Gets Harder
--Search one of the following if you want to modify some stuffs
--"Starting Loadout"
--"Self-Damage"

Triggers = {}

function set_player_inventory(player)
	--Starting Loadout Section
	--Default for each value is maximum possible in normal difficulties
	player.items["pistol"] = 2
	player.items["pistol ammo"] = 50
	player.items["fusion pistol"] = 1
	player.items["fusion pistol ammo"] = 25
	player.items["assault rifle"] = 1
	player.items["assault rifle ammo"] = 15
	player.items["assault rifle grenades"] = 8
	player.items["missile launcher"] = 1
	player.items["missile launcher ammo"] = 4
	player.items["flamethrower"] = 1
	player.items["flamethrower ammo"] = 3
	player.items["shotgun"] = 2
	player.items["shotgun ammo"] = 80
	player.items["smg"] = 1
	player.items["smg ammo"] = 8
	player.items["alien weapon"] = 1
	player.items["alien weapon ammo"] = 0
	player.energy = 450
end

function Triggers.player_damaged(victim, aggressor, nme, type, damageAmount, _)
	if victim == aggressor and type ~= "crushing" and type ~= "lava" and type ~= "suffocation" and type ~= "energy drain" and type ~= "oxygen drain" then
		--Self-Damage Section
		--Change that 1 to (1 - multiplier of your choice in decimals)
		--if you want to modify the amount of self-damage received
		--Defaults to 1 (for no self damage)
		victim.energy = victim.energy + damageAmount * 1
	end
end

function Triggers.init()
	Game.proper_item_accounting = true
	for i in Items() do
		i:delete()
	end
	for p in Players() do
		set_player_inventory(p)
	end
	for s in Sides() do
		if s.control_panel ~= nil then
			if s.control_panel.type.class == "oxygen recharger" or s.control_panel.type.class == "single shield recharger" or s.control_panel.type.class == "double shield recharger" or s.control_panel.type.class == "triple shield recharger" then
				s.control_panel = false
			end
		end
	end
end

function Triggers.player_revived(p)
	set_player_inventory(p)
end

function Triggers.item_created(item)
	item:delete()
end